geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From xuhaih...@apache.org
Subject svn commit: r926899 - /geronimo/server/branches/2.1/assemblies/geronimo-boilerplate-minimal/src/main/underlay/bin/deploy.sh
Date Wed, 24 Mar 2010 01:32:34 GMT
Author: xuhaihong
Date: Wed Mar 24 01:32:33 2010
New Revision: 926899

URL: http://svn.apache.org/viewvc?rev=926899&view=rev
Log:
GERONIMO-5147 deploy.sh exits with non-zero status because of stty echo (Patch from Kees van
Veen)

Modified:
    geronimo/server/branches/2.1/assemblies/geronimo-boilerplate-minimal/src/main/underlay/bin/deploy.sh

Modified: geronimo/server/branches/2.1/assemblies/geronimo-boilerplate-minimal/src/main/underlay/bin/deploy.sh
URL: http://svn.apache.org/viewvc/geronimo/server/branches/2.1/assemblies/geronimo-boilerplate-minimal/src/main/underlay/bin/deploy.sh?rev=926899&r1=926898&r2=926899&view=diff
==============================================================================
--- geronimo/server/branches/2.1/assemblies/geronimo-boilerplate-minimal/src/main/underlay/bin/deploy.sh
(original)
+++ geronimo/server/branches/2.1/assemblies/geronimo-boilerplate-minimal/src/main/underlay/bin/deploy.sh
Wed Mar 24 01:32:33 2010
@@ -186,4 +186,11 @@ fi
   -Djava.io.tmpdir="$GERONIMO_TMPDIR" \
   -jar "$GERONIMO_HOME"/bin/deployer.jar "$@" 
 
-stty echo
+# Remember the exit status
+status=$?
+
+# Reset tty
+stty echo 2>/dev/null
+stty sane 2>/dev/null
+
+exit $status



Mime
View raw message